import Command from "./Command.js";
import Executer from "./Executer.js";

export default class Apt extends Command {

  constructor(sudo) {
    super('apt', sudo);
  }

  async installPackage(packageName) {
    let command = `${this.command} install ${packageName} -y`;
    if (this.sudo) command = `sudo ${command}`;
    return Executer.cmd(command);
  }

}
