import util from 'util';
import { exec } from 'child_process';
const promiseExec = util.promisify(exec);

export default class Executer {

  static async cmd(cmd) {
    let response;
    try {
      response = await promiseExec(cmd);
    } catch (error) {
      response = error;
    }

    if (response.stdout
      && response.stdout !== '') {
      return response.stdout;
    }
    return response.stderr;
  }

}
