export default class Task {

    constructor(callback) {
        this.callback = callback;
    }

    static do(callback) {
        return new Task(callback);
    }

    every(seconds) {
        this.timeout = setTimeout(async () => {
            await this.callback();
            this.every(seconds);
        }, seconds * 1000);
        return this;
    }

    on(seconds) {
        this.timeout = setTimeout(async () => {
            await this.callback();
        }, seconds * 1000);
        return this;
    }

    clear() {
        if (!this.timeout) return false;

        clearTimeout(this.timeout);
        return true;
    }

}