export default class Timer {

    started = false;

    constructor(milliseconds){
        this.millisecondsElapsed = 0;
        this.everyMilliseconds = milliseconds; 
    }

    onTick(callback) {
        this.tickCallback = callback;
    }

    onEnd(callback) {
        this.endCallback = callback;
    }

    end() {
        this.endCallback(this.millisecondsElapsed);
        this.sylent_end();
    }

    sylent_end() {
        this.started = false;
        this.millisecondsElapsed = 0;
    }

    start() {
        this.started = true;
        this._tickCallback();
        this._tick();
    }

    _tick() {
        setTimeout(() => {
            if (!this.started) return;
            this.millisecondsElapsed += this.everyMilliseconds;
            this._tickCallback();

            this._tick();
        }, this.everyMilliseconds);
    }

    _tickCallback() {
        if (this.tickCallback) this.tickCallback(this.millisecondsElapsed);
    }

}