export default class BasicMiddleware {

  static create() {
    return this._middleware.bind(this);
  }

  static async _beforeNext(req, res) {
    // Override by children.
  }

  static async _middleware(req, res, next) {
    await this._beforeNext(req, res);
    next();
  }

}

