import assert from 'assert';
import Measure from '../src/Measure.js';

describe('Measure.js', function() {

  describe('#sync(name, callback)', function() {

    it('log measure and return data', function() {
      const result = Measure.sync('Test', () => { return 5 });
      assert.deepEqual(result, 5);
    });

  });

  describe('#async(name, callback)', function() {

    it('log measure and return data', async function() {
      const result = await Measure.async('Test', () => { return 5 });
      assert.deepEqual(result, 5);
    });

  });

});

