import assert from 'assert';
import Size from '../src/Size.js';

describe('Size.js', function() {

  describe('#fromObject(object)', function() {

    it('From a basic object', function() {
      const object = {
        name: 'Paco',
        age: 25
      }
      const size = Size.fromObject(object);
      assert.deepEqual(size.bytes, 24);
      assert.deepEqual(size.toKB(), 0.02);
    });

  });

});

