import assert from 'assert';
import UnixTool from '../src/UnixTool.js';

describe('UnixTool.js', function() {

  describe('#isInstalled(packageName)', function() {

    it('man is installed', async () => {
      assert.ok(await UnixTool.isInstalled('man'));
    });

    it('random package is not installed', async () => {
      assert.deepEqual(await UnixTool.isInstalled('strange-package-that-does-not-exist'), false);
    });

  });

});
