import Executer from "./Executer.js";
import UnixPackage from "./UnixPackage.js";

export default class SSH extends UnixPackage {

  constructor(host, user, password) {
    super('sshpass', 'sshpass');
    this.host = host;
    this.user = user;
    this.password = password;
  }

  async cmd(command) {
    return Executer.cmd(`${this.name} -p ${this.password} ssh -q ${this.user}@${this.host} "${command}"`);
  }

  async pass(command) {
    return Executer.cmd(`${this.name} -p ${this.password} "${command}"`);
  }
}
