export default class StringTemplateReplacer {

  static START_CHAR = '{';
  static END_CHAR = '}';

  static replace(text, ...values) {
    if (!values.length) return text;

    for (let index = 0; index < values.length; index++) {
      const replacementText = values[index];
      const spot = `${this.START_CHAR}${index}${this.END_CHAR}`;
      text = text.replace(spot, replacementText);
    }

    return text;
  }

  static replaceLineBreaks(text) {
    return text.replaceAll('\\n', '\n');
  }

}
