import assert from 'assert';
import Sort from '../src/Sort.js';

describe('Sort.js', function () {

    describe('#byProperty(array, property)', function () {
    
        it('properly sort by property', function () {
            var array = [{ a: 5 }, { a: 3 }, { a: 9 }];
              
            var result = Sort.byProperty(array, 'a');
            
            assert.deepStrictEqual(result[0].a, 3);
            assert.deepStrictEqual(result[1].a, 5);
            assert.deepStrictEqual(result[2].a, 9);
        });

    });

});
